#
# spec file for package ghc-megaparsec
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name megaparsec
Name:           ghc-%{pkg_name}
Version:        9.2.0
Release:        bp156.3.4
Summary:        Monadic parser combinators
License:        BSD-2-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parser-combinators-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}

%description
This is an industrial-strength monadic parser combinator library.
Megaparsec is a feature-rich package that tries to find a nice balance between
speed, flexibility, and quality of parse errors.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.md

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Dec 30 2021 Peter Simons <psimons@suse.com>
- Update megaparsec to version 9.2.0 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Sep 27 2021 psimons@suse.com
- Update megaparsec to version 9.2.0.
  [#]# Megaparsec 9.2.0
  * Added parsers for binary representations (little/big endian) of numbers in
    `Text.Megaparsec.Byte.Binary`.
* Sun Aug  8 2021 psimons@suse.com
- Update megaparsec to version 9.1.0 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Jul 15 2021 psimons@suse.com
- Update megaparsec to version 9.1.0.
  [#]# Megaparsec 9.1.0
  * Added `dbg'` in `Text.Megaparsec.Debug` for debugging parsers that have
    unshowable return values.
  * Documentation improvements.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Thu Dec 17 2020 psimons@suse.com
- Update megaparsec to version 9.0.1 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Fri Oct 30 2020 psimons@suse.com
- Update megaparsec to version 9.0.1.
  [#]# Megaparsec 9.0.1
  * Added [Safe
    Haskell](https://downloads.haskell.org/~ghc/latest/docs/html/users_guide/safe_haskell.html)
    support.
* Sat Sep 12 2020 psimons@suse.com
- Update megaparsec to version 9.0.0.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/megaparsec-9.0.0/src/CHANGELOG.md
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun  9 2020 psimons@suse.com
- Add megaparsec at version 8.0.0.
